html {
  min-height: 100vh;
}

body {
  background-color: #f5f5f5;
  justify-content: center;
  font-family: Arial, sans-serif;
  min-height: 100vh;
}

/* HEADER CSS */
.header {
  width: 100%;
  height: 100%;
  background-color: white;
  border-bottom: solid #000099 thick;
  display: flex;
}

.navbar {
  margin-bottom: 0;
}

.navbarLiberty {
  background-color: #ffd000;
  padding: 3px 0;
}

.navbarHelmsman {
  background-color: #aeeded;
  padding: 3px 0;
}

.navbarCentre {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

.headerContainer {
  max-width: 70%;
}

.navbar-brand {
  width: 100%;
  left: 0;
  text-align: center;
  margin: auto;
}

/* HEADER CSS END */
/* BODY CSS */
/* Container for main */
.container {
  min-height: 80vh;
  margin-right: auto;
  margin-left: auto;
  width: 50%;
}

#edmHeader {
  min-height: 7vh;
}

#ezdropFooter {
  min-height: 13vh;
  background: #29254f;
}

.legalFooterLinks {
  color: #ffffff;
}

.legalFooterLinks > li {
  display: inline;
  list-style-type: none;
  margin: 2px;
  color: #ffffff;
}

.firstFooterLink {
  border-right: 1px solid white;
  padding-right: 8px;
}

.lastFooterLink {
  border-left: 1px solid white;
  padding-left: 8px;
}

#fileInputBtn,
#submitBtn,
#printBtn,
#newClaimBtn {
  width: 10em;
}

.glyphicon {
  top: 2px;
  left: -6px;
}

.containerFooter {
  margin-right: auto;
  margin-left: auto;
  width: 65%;
  text-align: center;
}

.containerNav {
  height: 100%;
  margin-right: auto;
  margin-left: auto;
}

.containerNavLiberty {
  width: 50%;
}

.containerNavHelmsman {
  width: 15%;
}

.containerNavLegal {
  height: 100%;
  margin-right: auto;
  margin-left: auto;
  width: 70%;
}

.medicalBillAlert {
  color: #f44336;
}

.announcement {
  width: 100%;
  color: #002663;
  background-color: #ffffe0;
}

.qq-uploader {
  overflow-x: hidden;
  max-height: 800px !important;
}

.qq-upload-list {
  max-height: 750px !important;
}

.hasErrors {
  margin: auto;
  width: 100%;
  padding: 1%;
  text-align: left;
  border-left: 6px solid #f44336;
  background-color: #ffdddd;
  font-weight: bold;
  clear: both;
}

#fileInput-error,
#accidentNumber-error,
#customerEmail-error,
#claimType-error,
#claimNumber-error,
#lossLocationOptions-error {
  margin: auto;
  width: 100%;
  padding: 1%;
  text-align: left;
  border-left: 6px solid #f44336;
  background-color: #ffdddd;
}

.tr-invalid {
  border: 2px solid red;
}

.starter-template {
  margin: 8px;
}

.breakout {
  margin: -12em calc(50% - 50vw);
  width: 50%;
  float: right;
  padding-right: 5%;
}

.well {
  padding: 5px;
  margin-bottom: 10px;
}

.well-sm {
  background-color: #f0f0f0;
}

.btn {
  font-weight: bold;
}

#feedback {
  height: 30px;
  width: 180px;
}

#fileInputBtn {
  background-color: #78e1e1;
  border-color: #78e1e1;
  color: #06748C;
  display: flex;
  float: left;
  justify-content: center;
  font-weight: bold;
  border-radius: 40px;
}

#submit {
  display: flex;
  justify-content: center;
  alignment: center;
  width: 100%;
  border-radius: 40px;
}

#submitBtn {
  background-color: #06748C;
  border-color: #06748C;
  float: right;
  border-radius: 40px;
}

#printBtn {
  background-color: #06748C;
  border-color: #06748C;
  float: left;
  border-radius: 40px;
  margin-right: 20px;
}

#newClaimBtn {
  background-color: #06748C;
  border-color: #06748C;
  float: left;
  border-radius: 40px;
}

#moreDocumentsBtn {
  background-color: #06748C;
  border-color: #06748C;
  float: left;
  border-radius: 40px;
  margin-right: 20px;
}

#moreDocuments {
  background-color: #616265;
  border-color: #616265;
  float: left;
}

.rowBreak {
  background-color: white;
  border-bottom: solid #002663 thick;
}

select:required:invalid {
  color: #999;
}

lob[value=""] {
  display: none;
}

lob {
  color: #333;
}

/* BODY CSS END */
/* FORM CSS*/
/* Liberty Standard Headings*/
.headings {
  color: #002663;
}

/*Styling of the feedback widget - styles need to be made important so the app knows to use the custom CSS we create*/
.fdb-default-link span:after {
  content: "Help Us Improve" !important;
}

.fdb-default-link {
  transform: inherit !important;
  padding: 5px 30px !important;
  left: auto !important;
  right: 20px !important;
  top: 80px;
  position: fixed;
  height: 30px;
}

form {
  margin: auto;
}

input[type="text"],
input[type="email"],
select {
  width: 100%;
  box-sizing: border-box;
}

.document-type-heading {
  padding-right: 5px;
}

#printLink:hover,
#closeLink:hover {
  opacity: 0.7;
}

/* FORM CSS END*/

/* FOOTER CSS START */

#ezdropFooter {
  width: 100%;
  margin-bottom: 0;
  bottom: 0;
}

.whiteText {
  color: #ffffff;
}

.legalSection {
  font-size: 14px;
  padding-top: 24px;
  padding-bottom: 12px;
  color: #ffffff;
}

.copyrightSection {
  font-size: 14px;
  padding-top: 10px;
  padding-bottom: 2px;
  color: #ffffff;
}

/* FOOTER CSS END */

/* CONFIRMATION PAGE CSS*/
.confirmationPagePara {
  margin: auto;
  font-size: 20px;
  color: #002663;
}

/* CONFIRMATION PAGE CSS END*/

/* RESPONSIVE WEB DESIGN */

/* --------- Laptop XL --------- */
@media only screen and (max-width: 1800px) {
  .containerNavLegal {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
    width: 75%;
  }

  #AGLFileSpecs,
  #PFileSpecs,
  #WCFileSpecs {
    margin-top: -20em;
    padding-bottom: 2%;
    margin-bottom: 2%;
  }
}

/* --------- Laptop L --------- */
@media only screen and (max-width: 1440px) {
  .containerNavLegal {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
    width: 70%;
  }

  #AGLFileSpecs,
  #PFileSpecs,
  #WCFileSpecs {
    margin-top: -20em;
    padding-bottom: 2%;
    margin-bottom: 2%;
  }
}

/* --------- Laptop MD --------- */
@media only screen and (max-width: 1300px) {
  .containerNav {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
  }

  .containerNavLiberty {
    width: 70%;
  }

  .containerNavHelmsman {
    width: 15%;
  }

  .containerNavLegal {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
    width: 73%;
  }
}

/* --------- Laptop SM --------- */
@media only screen and (max-width: 948px) {
}

/* --------- Tablet --------- */
@media only screen and (max-width: 780px) {
  .containerNav {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
  }

  .containerNavLiberty {
    width: 80%;
  }

  .containerNavHelmsman {
    width: 40%;
  }

  .containerNavLegal {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
    width: 83%;
  }
}

/* --------- Tablet --------- */
@media only screen and (max-width: 768px) {
  #AGLFileSpecs,
  #PFileSpecs,
  #WCFileSpecs {
    margin-top: -1em;
    margin-left: auto;
    margin-right: auto;
  }
  .breakout {
    margin: 1em calc(75% - 50vw);
    width: 100%;
  }
  .container {
    width: 75%;
  }
}

/* --------- Tablet --------- */
@media only screen and (max-width: 700px) {
  .container {
    width: 100%;
    height: 100%;
  }

  .containerFooter {
    width: 100%;
  }

  .breakout {
    margin: 1em -100%;
    margin: 1em calc(50% - 50vw);
    width: 100%;
  }

  /* Force table to not be like tables anymore */
  #uploaded-files table,
  #uploaded-files thead,
  #uploaded-files tbody,
  #uploaded-files th,
  #uploaded-files td,
  #uploaded-files tr {
    display: block;
  }

  /* Hide table headers (but not display: none;, for accessibility) */
  #uploaded-files thead tr {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }

  #uploaded-files tr {
    border: 1px solid #ccc;
  }

  #uploaded-files td {
    /* Behave like a "row" */
    border: none;
    border-bottom: 1px solid #eee;
    position: relative;
    padding-left: 5%;
    white-space: normal;
    text-align: left;
    overflow-x: hidden;
  }

  #uploaded-files td:before {
    /* Now like a table header */
    position: absolute;
    /* Top/left values mimic padding */
    top: 6px;
    left: 6px;
    width: 45%;
    padding-right: 10px;
    white-space: nowrap;
    text-align: left;
    font-weight: bold;
  }

  /*
    Label the data
    */
  #uploaded-files td:before {
    content: attr(data-title);
  }
}

/* --------- Tablet SM --------- */
@media only screen and (max-width: 625px) {
  .containerNav {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
    display: table;
  }

  .containerNavLiberty {
    width: 50%;
  }

  .containerNavHelmsman {
    width: 25%;
  }

  .containerNavLegal {
    height: 100%;
    margin-right: auto;
    margin-left: auto;
    width: 53%;
  }
}

/* --------- Mobile L --------- */
@media only screen and (max-width: 425px) {
  #WCFileSpecs,
  #AGLFileSpecs,
  #PFileSpecs {
    margin-top: -1em;
  }
  .breakout {
    float: none;
  }
  .containerNavLegal {
    width: 80%;
  }
  .radio-inline + .radio-inline {
    margin-left: 0;
  }
  #fileInputBtn {
    width: 10em;
  }
  .glyphicon {
    top: 2px;
    left: -6px;
  }
  #submitBtn,
  #printBtn,
  #newClaimBtn {
    width: 10em;
  }
}

/* ----------- Non-Retina Screens Laptop ----------- */
@media screen and (min-device-width: 1200px) and (max-device-width: 1600px) and (-webkit-min-device-pixel-ratio: 1) {
}

/* ----------- Retina Screens Laptop ----------- */
@media screen and (min-device-width: 1200px) and (max-device-width: 1600px) and (-webkit-min-device-pixel-ratio: 2) and (min-resolution: 192dpi) {
}
